
; Define RC5 address of Remote Control

RemoteAddr	EQU	0x06

; Definition of Keys and key-codes on my remote control

NUM_0	EQU	0x00
NUM_1	EQU	0x01
NUM_2	EQU	0x02
NUM_3	EQU	0x03
NUM_4	EQU	0x04
NUM_5	EQU	0x05
NUM_6	EQU	0x06
NUM_7	EQU	0x07
NUM_8	EQU	0x08
NUM_9	EQU	0x09
FREEZE	EQU	0x5D
PAUSE	EQU	0x30
STANDBY	EQU	0x0C
MUTE	EQU	0x0D
HELP	EQU	0x2F
TEXT	EQU	0x0F
VOL_UP	EQU	0x10
VOL_DN	EQU	0x11
BRI_UP	EQU	0x12
BRI_DN	EQU	0x13
SAT_UP	EQU	0x14
SAT_DN	EQU	0x15
BAS_UP	EQU	0x16
BAS_DN	EQU	0x17
TRE_UP	EQU	0x18
TRE_DN	EQU	0x19
BAL_RI	EQU	0x1A
BAL_LE	EQU	0x1B
CON_UP	EQU	0x1C
CON_DN	EQU	0x1D
HUE_UP	EQU	0x27
HUE_DN	EQU	0x1F
SHA_UP	EQU	0x4D
SHA_DN	EQU	0x4E
PHA_UP	EQU	0x48
PHA_DN	EQU	0x49
ADJUST	EQU	0x52
EXIT	EQU	0x53
ADDR	EQU	0x54
ASTRSK 	EQU	0x77
ENTER	EQU	0x57
F1	EQU	0x6B
F2	EQU	0x6C
F3	EQU	0x6D
F4	EQU	0x6E
F5	EQU	0x6F
CUR_UP	EQU	0x50
CUR_RI	EQU	0x56
CUR_DN	EQU	0x51
CUR_LE	EQU	0x55

; Definition of Functions on the Propeller clock

;Increment second
SEC_UP		EQU	VOL_UP
;Decrement second
SEC_DN		EQU	VOL_DN
;Increment minute
MIN_UP		EQU	BAL_RI
;Decrement minute
MIN_DN		EQU	BAL_LE
;Increment hour
HOUR_UP		EQU	CON_UP
;Decrement hour
HOUR_DN		EQU	CON_DN
;Increment day
DAY_UP		EQU	BRI_UP
;Decrement day
DAY_DN		EQU	BRI_DN
;Increment day of week
WDAY_UP		EQU	SHA_UP
;Increment month
MON_UP		EQU	SAT_UP
;Decrement month
MON_DN		EQU	SAT_DN
;Increment year
YEAR_UP		EQU	HUE_UP
;Decrement year
YEAR_DN		EQU	HUE_DN
;Increment display offset
INDEX_UP	EQU	PHA_UP
;Decrement display offset
INDEX_DN	EQU	PHA_DN

;Toggle outer led
BlueLine	EQU	F1
;Toggle digital time display
DigiTime	EQU	F2
;Toggle digital date display
DigiDate	EQU	F3
;Toggle analogue colck's hands
AnaTime		EQU	F4
;Toggle analogue colck's ticks
TTicks		EQU	F5
;Toggle dot/arc second hand mode
TSecMode	EQU MUTE

;Toggel demo mode
; on 16F628(A)	  - Scrolling text1 - time - Scrolling text1 - time -
; on 16F684A 	  - Scrolling text1 - time - Scrolling text2 - time -
DemoM		EQU	ASTRSK	;Demo Mode
;Toggle scrolling text mode
TextMode	EQU	TEXT
;Toggle rotation speed display
TRotation	EQU ENTER
;Toggle static text mode
TStaticText	EQU FREEZE
;New commands -------------------------------j parancsok
;Toggle day of week and rotation display
TWDay		EQU EXIT
;Decrement day of week
WDAY_DN		EQU	SHA_DN
; Clear second
SEC_CL		EQU	NUM_0
; Set scrolling speed
SET_SP		EQU	ADDR
